﻿using System;
using System.Windows.Forms;
using System.Collections.Generic;
using CTNet;
using STFXmlParser;
using Selections;
using PdfDocument;

namespace CalcHelper
{
    public partial class Form1 : Form
    {
        // Current CalcHelper version.
        public string version = "2.0";

        /*
         * This is for the pictureBox1 and pictureBox2, when the user
         * wishes to see a box number associated with a small box where it is
         * difficult to see the number clearly.
         */
        public System.Windows.Forms.ToolTip boxNumMagToolTip;

        public Pdf pdf1 = null;
        public Pdf pdf2 = null;

        public PageArray pa1 = null;
        public PageArray pa2 = null;

        public static string pdfCurDir = "C:\\temp\\Work\\";

        public bool splitScreen = false;

        /* 
         * When the user moves the splitter bar, they cause the 'splitter bar moved' event to
         * fire...once they stop moving the bar. When the user drags the form borders thus resizing
         * the form, a splitter moved event is fired as well as a 'form resize' event. Both
         * events fire off a common event handler. I do not want needless consecutive execution of the
         * common handler. The splitter moving event handler will set this flag and we will look at
         * it in the splitter bar moved handler. If it is set, we hopefully know that the form resizing
         * was not the originator.
        */
        public bool splitterMoving = false;

        public bool minMaxRestore = false;

        public DocFile docFile = null;
        public ToolBelt toolBelt = null;
        public BoxSelections boxSel = null;

        /*
         * ***********************
         * 
         * These are Visual Studio Code related:
         * 
         * The .calctool port file path is initialized in the
         * VSCFileInfo class constructor.
         */
        public CTClient ctClient = null;
        public static VSCFileInfo vscFileInfo = null;
        public bool isConnected = false;

        /*
         * ***********************
         * These are the two Snippet Extension's JSON files:
         * 
         * Home Testing:
         */
        //public string codeSnippetsFile = "C:\\Extensions\\SnippetsExt\\snippets.json";
        //public string fcnSnippetsFile = "C:\\Extensions\\SnippetsExt\\functions.json";

        /*
         * ***********************
         * These are the two Snippet Extension's JSON files:
         * 
         * Work/Production Use:
         */
        // BOB or SOMEBODY...ANYBODY: These need to be changeg to their current locations
        // which I do not know, not for a lack of ASKING for them.
        public string codeSnippetsFile = "\\\\STFPRDW-APPS404\\Updates\\VisualStudioCode\\snippets.json";
        public string fcnSnippetsFile = "\\\\STFPRDW-APPS404\\Updates\\VisualStudioCode\\functions.json";

        /*
         * ***********************
         * Debug:
         */
        //public string debugFile = "C:\\CalcHelperDebug\\debug.txt";
            
        /*
         * ***********************
         */

    }
}